summaryrefslogtreecommitdiffstats
path: root/website/rebuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'website/rebuild.sh')
-rwxr-xr-xwebsite/rebuild.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/website/rebuild.sh b/website/rebuild.sh
new file mode 100755
index 0000000..b09df15
--- /dev/null
+++ b/website/rebuild.sh
@@ -0,0 +1,16 @@
+#!/bin/sh -
+
+ttree=/usr/bin/ttree
+conf=templates/ttree.conf
+
+[ -x "$ttree" ] || {
+ echo "'ttree' is missing, you need to install the 'perl-Template-Toolkit' package"
+ exit 1
+}
+
+[ -f "$conf" ] || {
+ echo "configuration file missing, you are running this from the wrong directory"
+ exit 1
+}
+
+"$ttree" -f "$conf"